<template>
  <Layout>

    <div class="row">

      <div class="col-md-8">

        <div class="card">
          <div class="card-header">
            <h1>{{$page.device.name}} ({{$page.device.codename}})</h1>
          </div>
          <div class="card-body">
            <div
              style="margin-bottom: -1em;"
              class="markdown"
              v-html="$page.device.content"
            />
            <p v-show="$page.device.noinstall" style="padding-top: 1em">The {{$page.device.name}} is <b>not</b> supported by the <a href="/installer">UBports Installer</a> yet. You can help us by <a href="https://github.com/ubports/installer-configs/blob/master/v1/_device.schema.json" target="_blank" rel="noreferrer noopener">contributing a config file</a>.</p>
          </div>
        </div>

        <div v-show="!$page.device.noinstall" class="card">
          <div class="card-header">
            <h4>Install Ubuntu Touch on your {{$page.device.name}}</h4>
          </div>
          <div class="card-body">
            <div class="row" style="margin-bottom: 1.25em">
              <div class="col-md-6 devicecol">
                <a href="/installer">
                  <g-image src="https://devices.ubuntu-touch.io/img/ubpi.jpg"  style="width: 100%;" alt="UBports Installer, an installation tool for Ubuntu Touch" />
                </a>
              </div>
              <div class="col-md-6 devicecol">
                <div>
                  With the <b>UBports Installer</b>, you can get Ubuntu Touch on your {{$page.device.name}} without breaking a sweat!
                </div>
                <a href="/installer"><button style="margin: auto; display: block; margin-top: 1em;">Install</button></a>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12 devicecol">
                <div class="aspect-ratio">
                  <iframe width="854" height="480" src="https://www.youtube.com/embed/zuLFTGkuD68" frameborder="0" allowfullscreen />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-4">
        <g-image v-show="$page.device.image" :src="$page.device.image" style="width: 100%; margin-bottom: 1em;" :alt="`${$page.device.name} with Ubuntu Touch by UBports`"/>

        <div v-show="$page.device.video" class="card">
          <div class="card-header">
            <h6>Meet the {{$page.device.name}}</h6>
          </div>
          <div class="card-body">
            <div class="aspect-ratio">
              <iframe width="854" height="480" :src="$page.device.video" frameborder="0" allowfullscreen />
            </div>
          </div>
        </div>

        <div v-show="!$page.device.video" class="card">
          <div class="card-header">
            <h6>Meet Ubuntu Touch</h6>
          </div>
          <div class="card-body">
            <div class="aspect-ratio">
              <iframe width="854" height="480" src="https://www.youtube.com/embed/1sPtRdZlEu4" frameborder="0" allowfullscreen />
            </div>
          </div>
        </div>

        <div class="card">
          <div class="card-header">
            <h6>Buy a {{$page.device.name}}</h6>
          </div>
          <div class="card-body">
            You might be able to find new second-hand devices on <a :href='"https://swappa.com/search?q=" + $page.device.name' target="_blank" rel="me noreferrer noopener">swappa</a>, <a :href='"https://www.ebay.com/sch/i.html?_from=R40&_trksid=p2380057.m570.l1313.TR12.TRC2.A0.H0.Xnexus+5.TRS0&_nkw=" + $page.device.name + "&_sacat=0"' target="_blank" rel="me noreferrer noopener">ebay</a>, <a :href='"https://duckduckgo.com/?q=" + $page.device.name + "&t=canonical&ia=products"' target="_blank" rel="me noreferrer noopener">or other websites</a>. Shop at at your own risk!
          </div>
        </div>

        <Donate />

      </div>

      <modal name="donate" height="auto" :scrollable="true" :adaptive="true">
        <div class="card">
          <div class="card-header">
            <h2>Support the UBports Foundation</h2>
          </div>
          <div class="card-body">
            <p>
              Sorry to bother you, but would you be willing to pitch in to support the work of the <a href="https://ubports.com/donate" target="_blank" rel="noreferrer noopener">UBports Foundation</a>?
            </p>
            <p>
              If you want to support the development of Ubuntu Touch, would you consider becoming a monthly supporter on <a href="https://patreon.com/ubports" target="_blank" rel="noreferrer noopener">Patreon</a> or <a href="https://liberapay.com/ubports" target="_blank" rel="noreferrer noopener">Liberapay</a> to help found a staff and supplies, which will help UBports grow and make development faster and more efficient.
            </p>
            <p>
              We are also able to accept <a @click='bank'>SEPA bank wire transactions</a> and provide <a href="https://ubports.com/donate" target="_blank" rel="noreferrer noopener">tax credit</a> in Germany and some other countries.
            </p>
            <p>
              One-time donations are also very appreciated, we can currently accept <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=C86LHWK8M2XCC&source=url" target="_blank" rel="noreferrer noopener">PayPal</a> and <a @click='bitcoin'>Bitcoin</a>. This helps us cover short-term expenses and build towards a sustainable funding model for the UBports Foundation.
            </p>
            <div class="row">
              <div class="col">
                <a href="" @click="dontAskAgain">
                  <button style="margin: auto; display: block; margin-top: 1em; padding: .5em 1em">Don't ask me again</button>
                </a>
              </div>
              <div class="col">
                <a href="https://ubports.com/donate">
                  <button style="margin: auto; display: block; margin-top: 1em; padding: .5em 1em">More...</button>
                </a>
              </div>
            </div>
          </div>
        </div>
      </modal>

    </div>
  </Layout>
</template>

<page-query>
query ($id: ID!) {
  device(id: $id) {
    name
    codename
    image
    video
    content
    noinstall
  }
  allDevice{
    edges {
      node {
        id
      }
    }
  }
}
</page-query>

<script>
import Donate from "~/components/Donate.vue";

export default {
  metaInfo() {
    return {
      title: this.$page.device.name,
      meta: [
        {
          name: "description",
          content: `Everything you need to know about Ubuntu Touch for ${this.$page.device.name}.`
        },
        {
          property: "og:title",
          content: `Ubuntu Touch for ${this.$page.device.name}`
        },
        {
          property: "og:image",
          content: this.$page.device.image || "/ubuntu-touch-devices-wide.jpg"
        }
      ]
    };
  },
  components: {
    Donate
  },
  async mounted() {
    if (!localStorage.getItem("noDonationPopup")) {
      setTimeout(() => this.$modal.show("donate"), 20000);
    }
  },
  methods: {
    bitcoin() {
      this.$modal.show("bitcoin");
    },
    bank() {
      this.$modal.show("bank");
    },
    dontAskAgain() {
      localStorage.setItem("noDonationPopup", true);
      this.$modal.hide("donate");
    }
  }
};
</script>
